Lists UllMirroringCollectorRules for a given UllMirroringCollector.

### HTTP request

`GET https://networksecurity.googleapis.com/v1beta1/{parent=projects/*/locations/*/ullMirroringCollectors/*}/rules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of UllMirroringCollectorRules. Example: `projects/123456789/locations/global`. See <https://google.aip.dev/132> for more details. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. See <https://google.aip.dev/158> for more details. |
| `pageToken` | `string` Optional. A page token, received from a previous `rules.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `rules.list` must match the call that provided the page token. See <https://google.aip.dev/158> for more details. |
| `filter` | `string` Optional. Filter expression. See <https://google.aip.dev/160#filtering> for more details. |
| `orderBy` | `string` Optional. Sort expression. See <https://google.aip.dev/132#ordering> for more details. |

### Request body

The request body must be empty.

### Response body

Message for response to listing UllMirroringCollectorRules.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "ullMirroringCollectorRules": [ { object (`UllMirroringCollectorRule`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `ullMirroringCollectorRules[]` | ``object (`UllMirroringCollectorRule`)`` The list of UllMirroringCollectorRule. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `networksecurity.ullMirroringCollectorRules.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).